<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>

    <!-- Latest compiled JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!--FOnt Awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">

</head>
<body>
    <div class="container-fluid">
        
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Toggler/collapsibe Button -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Navbar links -->
            <div class="collapse navbar-collapse" id="collapsibleNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/index"><i class="fas fa-home mr-1"></i>HOME</a>
                    </li>
                </ul>
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="/carrinho"><i class="fas fa-shopping-cart mr-1"></i>Carrinho</a>
                    </li>
                </ul>
            </div>

            <!--Nome do usuário do banco de dados-->
            <a href="/atualizar" class="mr-4">
                <i class="fas fa-user d-inline"></i> 
                <p id="nomeUsuario" class="d-inline m-0">Nome Usuario</p>
            </a>
        </nav>

        <h1>Atualização de Clientes</h1>
        <!--Formulário-->
        <form action="" class="m-auto w-75" id="formulario">
            <label for="">
                <h4 class="text-uppercase font-weight-bold"><u>Informações de Login</u></h4>
                <div class="row mt-3">
                    <div class="form-group col-sm-6">
                        <label for="nome"><strong>Nome Usuário:</strong></label>
                        <input type="text" class="p-2 w-100" id="NomeUsuario" placeholder="Informe um nome para o usuário" focus>
                        <div class="alert alert-danger resposta" id="respostaUsuario">Erro no usuario</div>
                    </div>
                    <div class="form-group col-sm-6">
                        <label for="pwd"><strong>Senha:</strong></label>
                        <input type="text" class="p-2 w-100" id="SenhaUsuario" placeholder="Senha para usuário">
                        <div class="alert alert-danger resposta" id="respostaSenha">Erro na senha</div>
                    </div>
                    <div class="form-group col-sm-6">
                        <label for="pwd"><strong>E-mail:</strong></label>
                        <input type="email" class="p-2 w-100" id="EmailUsuario" placeholder="E-mail usuário">
                        <div class="alert alert-danger resposta" id="respostaEmail">Erro no e-mail</div>
                    </div>
                </div>
            </label>
            <label for="">
                <h4 class="text-uppercase font-weight-bold"><u>Informações pessoais</u></h4>
                <div class="row mt-3">
                    <div class="form-group col-sm-6">
                        <label for="nome"><strong>Nome:</strong></label>
                        <input type="text" class="p-2 w-100" id="NomeCliente" placeholder="Informe o seu nome" focus>
                        <div class="alert alert-danger resposta" id="respostaNome">Erro no nome</div>
                    </div>
                    <div class="form-group col-sm-6">
                        <label for="pwd"><strong>CPF:</strong></label>
                        <input type="number" class="p-2 w-100" id="CpfUsuario" placeholder="CPF(XXXXXXXXXXX)">
                        <div class="alert alert-danger resposta" id="respostaCpf">Erro no CPF</div>
                    </div>
                </div>

                <div class="row">
                    <div class="form-group col-sm-6">
                        <label for="pwd"><strong>Data de nascimento:</strong></label>
                        <input type="date" class="p-2 w-100" id="DataNascimentoCliente">
                        <div class="alert alert-danger resposta" id="respostaData">Erro na Data de nascimento</div>
                    </div>

                    <div class="form-group col-sm-6">
                        <label for="pwd"><strong>Telefone:</strong></label>
                        <input type="text" class="p-2 w-100" id="TelefoneCliente" placeholder="Informe o seu telefone">
                        <div class="alert alert-danger resposta" id="respostaTelefone">Erro no telefone</div>
                    </div>

                    <div class="form-group col-sm-6">
                        <label for="pwd"><strong>Endereço:</strong></label>
                        <input type="text" class="p-2 w-100" id="EnderecoCliente" placeholder="Informe o seu telefone">
                        <div class="alert alert-danger resposta" id="respostaEndereco">Erro no endereço</div>
                    </div>
                </div>
                
                <div class="row">
                    <div class="col-sm-6 mt-3 mb-3">
                        <button type="button" class="btn btn-default btn btn-primary btn-lg " id="btnSubmit" onclick="limpar()">Limpar</button>
                    </div>
                    <div class="col-sm-6 mt-3 mb-3">
                        <button type="button" class="btn btn-default btn btn-primary btn-lg " id="btnSubmit" onclick="validarInformacoesUsuario(2)">Atualizar</button>
                    </div>
                </div>
                
            </label>
        </form>
    </div>

        <!--Mascaras-->
        <script src="../javascript/main-jquery.js"></script>
        <script src="../jquery-mask-plugin/dist/jquery.mask.min.js"></script>
        <script src="../jquery-mask-plugin/src/jquery.mask.js"></script>
        <!---->
        <script src="../javascript/valicadoes.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>

        <script>
            $(document).ready(function(){
                Usuario.preencherCampos()
                $(".resposta").hide()
                //$("#CpfUsuario").mask("000.000.000-00")
                $("#TelefoneCliente").mask("(00) 00000-0000")

                let a = JSON.parse(Cookies.get('usuario'))
                $("#nomeUsuario").html(a["nome"])
            })
        </script>

        
        
        

    
</body>
</html>